package jp.sourceforge.cfneo.at4ie2.api.test.impl.invoker;

import jp.sourceforge.cfneo.at4ie2.api.test.AbstractInvoker;
import jp.sourceforge.cfneo.at4ie2.api.test.Context;
import jp.sourceforge.cfneo.at4ie2.api.test.TestCase;

public class UnsupportCommandInvoker extends AbstractInvoker {

	public UnsupportCommandInvoker(Context context) {
		super(context);
	}

	@Override
	public void invoke(TestCase testCase) {
		this.getContext().getResultLogger().writeResult("Unkown or Unsupported command:"
				+ testCase.getCommand().toString() + " / testcase=" + testCase.toString());
	}

}
